/*
    All rules of the website should be defined here
    1. element identifier like using tags(body, form, ul etc..)
    2. pseudo rules defination like(:before, :after etc.)
*/

@font-face {
    font-family: 'Product Sans';
    src: url('../fonts//ProductSans-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'Product Sans';
    src: url('../fonts/ProductSans-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

:root {
    font-size: 10px;
}

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    font-size: 14px;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    color: $text;
    background: #FAFBFC;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Product Sans';
    font-weight: normal;
}

a {
    color: $primary !important;

    &:hover {
        color: $primary-hover !important;
    }
}

button {
    cursor: pointer;
    outline: 0;
    font-family: 'Product Sans';
    font-weight: bold;

    * {
        vertical-align: middle;
    }

    text-transform: uppercase;
}

input:focus,
input:hover {
    box-shadow: 0 0 2px rgba($primary, 0.2);
    border-color: $primary !important;
}

small {
    text-transform: uppercase;
    font-weight: bold;
}

i {
    vertical-align: middle;
    font-family: 'remixicon' !important;
}

img {
    image-rendering: crisp-edges;
}

section {
    margin-top: 3rem;

    &.no-mar {
        margin: 0;
    }
}


// Grid Globals
.flex {
    display: flex;
    flex-wrap: wrap;
}

.flex-row {
    flex-direction: row;
}

.flex-col {
    flex-direction: column;
}

.flex-center {
    align-items: center
}

.flex-space {
    justify-content: space-between;
}

.wrapper {
    padding: 0 1rem;
}

// Typography
h1,
h2,
h3,
h4,
h5,
h6 {
    color: $text;
}

h1,
.h1-text {
    font-size: 2.5em;
}

h2,
.h2-text {
    font-size: 2em;
}

h3,
.h3-text {
    font-size: 1.7em;
}

h4,
.h4-text {
    font-size: 1.4em;
}

d-iblock {
    display: inline-block;
}


.text-uppercase {
    text-transform: uppercase;
}

.text-lowercase {
    text-transform: lowercase;
}

.text-capitalize {
    text-transform: capitalize;
}

.text-light {
    font-weight: light;
}

.text-normal {
    font-weight: normal;
}

.text-bold {
    font-weight: bold;
}

.text-bolder {
    font-weight: bolder;
}

.text-left {
    text-align: left;
}

.text-right {
    text-align: right;
}

.text-center {
    text-align: center;
}

.text-justify {
    text-align: justify;
}

.text-primary {
    color: $primary !important;
}

.text-success {
    color: $success !important;
}

.text-warning {
    color: $warning !important;
}

.text-danger {
    color: $danger !important;
}

.text-white {
    color: $white !important;
}

.text-black {
    color: $black !important;
}

.mail-list {
    .flex {
        flex-wrap: nowrap;

        .ant-col {
            flex: 0 0 66.666666%;
        }

        .ant-form-item-label {
            flex: 0 0 33.3333333%;
            padding: 0;
        }
    }
}